/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  September 1, 2007
 *  Code Revision version: 0.5
 *
 *  The message class acts exactly like JOptionPane.showMessageDialog(Component parent, String message),
 *  except it will not block the currently executing thread.
 */
package ourtunes;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Message extends JFrame
{
	public Message(Container parent, String message)
	{
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		Point p;
		if (parent != null) p = parent.getLocation();
		else p = null;
		
		setLocation(p);
		JLabel msg = new JLabel(message);
		JButton button = new JButton("OK");
		JPanel panel = new JPanel();
		
		panel.add(msg);
		panel.add(button);
		
		button.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent event)
			{
				Message.this.dispose();
			}
		});
		
		getContentPane().add(panel);
		pack();
		setVisible(true);
	}
	public void setLocation(Point p)
	{
		if (p == null)
		p = new Point (300,300);
		
		super.setLocation(p.x, p.y);
	}
}

class test2
{
	public static void main(String[] args)
	{
		new Message(null, "Testing the message pane with some long message");
	}
}