/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  December 1, 2007
 *  Code Revision version: 0.5
 *
 * This class will take HTML formatted text and display it in a JFrame.
 * It is flexible such that it can take any text from any valid fileName,
 * but will otherwise default to the about.txt file.
 *
 * The best use of this class is to place the file you want to display
 * in the about package.  Hyperlinks are supported by the JEditorPane;
 * developers seeking to enable the hyperlinks in this window should
 * look at
 *   javax.swing.event.HyperlinkListener
 *   javax.swing.event.HyperlinkEvent
 *   java.awt.Desktop (Java 6 ONLY)
 *   javax.jnlp.* (Java 4 and up, but not quite useful because this program
 *    isn't designed to be a java web start program).
 *
 * In a future version, the JEditorPane should receive a URL, not a string of
 * the text to display.
 *
 * Changelog
 * The scrollpane will default to the top of the document, not the bottom.
 *
 */  
package ourtunes.about;

import javax.swing.*;
import javax.swing.event.*;
import java.io.*;
import java.net.URL;
import java.util.zip.*;
import java.util.jar.*;
import java.awt.*;

public class AboutFrame extends JFrame
{
	Dimension hfd;
	public AboutFrame()
	{
		this("About.txt");
	}
	
	public AboutFrame(String fileName)
	{
		hfd = new Dimension(512,470);
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		setLocation(500,100);
		setSize(524,512);
		setTitle("OurTunes");
		setResizable(false);
		//set the image icon
		//try{
		//ImageIcon img = new ImageIcon(ObtainIcon.getIcon());
		//
		//setIconImage(img.getImage());
		//}catch (Exception e) { System.out.println("Icon loading failed.");}
		
		HelpPanel panel = new HelpPanel(fileName);
		Container cp = getContentPane();
		cp.add(panel);
		
	}
	
	public static InputStream getFile(String fileName)
	{
		return AboutFrame.class.getResourceAsStream(fileName);
	}
	private class HelpPanel extends JPanel
	{
		public HelpPanel(String fileName)
		{
			StringBuffer buffer = null;
			
			System.out.println(AboutFrame.getFile(fileName));
			InputStream f = AboutFrame.getFile(fileName);
			
			
			try{
			BufferedReader fin = new BufferedReader(
				new InputStreamReader(f));
			
			buffer = new StringBuffer();
			buffer.append(fin.readLine());
			
			while (fin.ready())
				buffer.append(fin.readLine());
			
			fin.close();
			}catch(IOException e) {e.printStackTrace();}
	
			JEditorPane a = new JEditorPane("text/html" , buffer.toString());
			a.setEditable(false);
			a.setCaretPosition(0);
			//a.setLineWrap(true);
			//a.setWrapStyleWord(true);
			
			Dimension d = AboutFrame.this.getSize();
			
			JScrollPane sp = new JScrollPane(a,
			JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
			JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
					add(sp);
			sp.setPreferredSize(AboutFrame.this.hfd);
		
		}
	}
	
	//In java 5, I can't launch an external browser to support
	//hyperlinks in the about document.  For now, the feature
	//goes unsupported, but can be added later.
}

class test
{
	public static void main(String[] args)
	{
		JFrame f = new AboutFrame();
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		f.setVisible(true);
	}
}