/**
 *  This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  August 31, 2007
 *  Code Revision version: 1.0 (no other major changes will be made to the class).
 *
 * The FolderChooser class is a modified JFileChooser that only allows selction of directories or folders.
 * It's intended purpose is to provide the user a means to select the default save directory.
 *
 */
 package ourtunes.gui;
 
import javax.swing.JFileChooser;
import java.awt.Component;


public class FolderChooser 
{
   public FolderChooser(Component parent)
   {
   	this.parent = parent;
    chooser = new JFileChooser(); 

   }
   
    public String selectFolder() 
    {
    String result = null;
        
	//We only want to select directories, not files.
    chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
    chooser.setAcceptAllFileFilterUsed(false);
    
    if (chooser.showDialog(parent, "Select") == JFileChooser.APPROVE_OPTION)
         result = chooser.getSelectedFile().getPath();
    else 
      System.out.println("No Selection ");
      
    return result;
     }
     
   private Component parent;
   private JFileChooser chooser;
}