/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  September 1, 2007
 *  Code Revision version: 0.5
 *
 *  Revision notes:  Classes are split up.
 *
 *  The host class listens to iTunes requests on port 3689 and launches a pass-through
 *  thread that handles the data transfers.
 *
 *  To developers:  Be careful when modifying the server socket.  If you don't specify
 *  the NIC to bind it to, it will bind all, creating infinite loops in java.
 *
 *  7/23/2008 I modified the port so that is listens on port 3688.  
 *
 */
 package ourtunes.net;
 

import ourtunes.Logger;
import java.net.*;
import java.util.*;
import java.io.*;

public class Host extends Thread
{
	public Host() throws IOException
	{
		super("Host3688");
		
		//create a server socket to listen to incoming requests.
		//overide any program currently occupying port 3689.
		s = new ServerSocket();
		//s.setReuseAddress(true);
		s.bind(new InetSocketAddress(InetAddress.getLocalHost(),3688));
	}
	public void run()
	{
		
		try{
		while(true)
		{
		Socket socket = s.accept();
		if (socket == null) return;
		Thread t = new PassThrough(socket);
		t.start(); 	
		Logger l = Logger.getLogger();
		l.println("Socket Details:");
		l.println(socket);
		
		}
		}
		catch(Exception e) {e.printStackTrace(); System.exit(1);}
	}
	public void finalize()
	{
		try{
		s.close();
		}catch (IOException e) {e.printStackTrace();}
	}

	private ServerSocket s;
	private String server;
}

