/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  September 1, 2007
 *  Code Revision version: 0.5
 *
 * The daapService class is responsible for adding and removing elements from the GUI list.
 *It originally handled the serviceResolved, but it is bad practice to immediately resolve
 *discovered services; rather, they should be resolved on demand.  Thus, that task can be found
 *elsewhere.
 *
 */
 package ourtunes.net;
 
import javax.jmdns.*;
import java.awt.Panel;
import java.io.IOException;
import javax.swing.JOptionPane;

import ourtunes.gui.*;

public class daapService implements ServiceListener
{
	public daapService(OurTunesPanel p)
	{
		this.panel = p;
	}
	public void serviceAdded(ServiceEvent event)
	{
		System.out.println("added:  "+ event.getName());
		
		//need to add to the GUI based list.
		panel.addtoList(new ListItem(event.getName()));
		
	}
	public void serviceRemoved(ServiceEvent e)
	{
		System.out.println("remove:  "+e.getName());
		final ServiceEvent event = e;
		panel.removeFromList(new ListItem(event.getName()));
		
	}
	public void serviceResolved(ServiceEvent e)
	{
			
		System.out.println("resolved:  "+e.getName());
		System.out.println(e.getInfo());
		
	}
	
	private OurTunesPanel panel;
		
	
}